Bug 7303 - [UPDATE REQUEST] plasma5-kdeconnect 0.9 → 1.0
: [UPDATE REQUEST] plasma5-kdeconnect 0.9 → 1.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-29 12:10 MSD by VictorR2007
Modified: 2016-10-25 13:46 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (254.89 KB, image/png)
2016-09-23 16:24 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description VictorR2007 2016-08-29 12:10:36 MSD
Advisory: «Updated to 1.0»

Build lists:
https://abf.rosalinux.ru/build_lists/2709869
https://abf.rosalinux.ru/build_lists/2709870

Наконец вышла стабильная версия.
Раньше была всегда нестабильная бетка.
Но работает только на kde5.
Можно было и не спешить обновлять,
но посмотрел на https://play.google.com/store/apps/details?id=org.kde.kdeconnect_tp
и там уже последняя версия.
Они разрабатывались параллельно.
Я немного наблюдал за разработкой в апстриме.
А когда доделывал для этой версии перевод,
там были строки об несовместимости версий и просьба обновить программу
на андроид с https://play.google.com
Похоже, что и андроид с новой версией тоже не сможет работать со старой версией
на компьютере.
Это только догадки, проверить не на чём.
Comment 1 VictorR2007 2016-09-20 14:51:53 MSD
Advisory: «Updated to 1.0.1»

Build lists:
https://abf.rosalinux.ru/build_lists/2715794
https://abf.rosalinux.ru/build_lists/2715795
Comment 2 Vladimir Potapov 2016-09-23 16:24:19 MSD
Created attachment 4535 [details]
ss

Не получается соединиться по Dolphin
Comment 3 VictorR2007 2016-09-23 17:11:30 MSD
А dolphin пятый?
Вообще, тут обсуждают данную проблему,
https://bugs.kde.org/show_bug.cgi?id=355015.
Просмотрел навскидку, но вроде в последнем сообщении
есть подсказка, как исправить.
Comment 4 Vladimir Potapov 2016-09-23 19:07:23 MSD
(In reply to comment #3)
> А dolphin пятый?
> Вообще, тут обсуждают данную проблему,
> https://bugs.kde.org/show_bug.cgi?id=355015.
> Просмотрел навскидку, но вроде в последнем сообщении
> есть подсказка, как исправить.
Это старое обсуждение, коммит уже в апстриме должен быть.
Comment 5 Vladimir Potapov 2016-09-29 21:13:53 MSD
проблема с обновлением в KDE4. В новой версии нету kdeconnect-cli почему-то, а старый после обновления библиотек падает с сегфолтом.

kdeconnect-cli -l
Ошибка сегментирования (слепок снят)
Comment 6 VictorR2007 2016-09-30 01:41:46 MSD
(In reply to comment #5)
> проблема с обновлением в KDE4. В новой версии нету kdeconnect-cli почему-то,
> а старый после обновления библиотек падает с сегфолтом.
> 
> kdeconnect-cli -l
> Ошибка сегментирования (слепок снят)

Может стоит его пересобрать с именами пакетов lib64kfkdeconnec,
чтобы не обновлялись версии библиотек для KDE4?
Comment 7 Vladimir Potapov 2016-09-30 15:14:00 MSD
(In reply to comment #6)
> (In reply to comment #5)
> > проблема с обновлением в KDE4. В новой версии нету kdeconnect-cli почему-то,
> > а старый после обновления библиотек падает с сегфолтом.
> > 
> > kdeconnect-cli -l
> > Ошибка сегментирования (слепок снят)
> 
> Может стоит его пересобрать с именами пакетов lib64kfkdeconnec,
> чтобы не обновлялись версии библиотек для KDE4?

а в новой версии вообще нету kdeconnect-cli?
Comment 8 VictorR2007 2016-09-30 18:30:16 MSD
(In reply to comment #7)
> 
> а в новой версии вообще нету kdeconnect-cli?

Есть,
Он находится в пакете plasma5-kdeconnect.
Для того, чтобы на KDE4 хоть что-то попыталось запуститься,
нужно устанавливать пакет kde-cli-tools.
В нём файл kcmshell5, который запускает почти всё в плазме.
Потом, KDE 4 не работает с файлами в каталоге /usr/lib64/qt5/plugins.
Когда пытался адаптировать plasma5-kup для KDE4,
то создавал в пакете символические ссылки в каталоге /usr/lib64/kde4,
на файлы в /usr/lib64/qt5/plugins.
Но не факт, что это поможет.
Например plasma5-kup удавалось запустить на KDE 4,
но не через параметры системы, а как приложение.
И работала нормально.
Побочные эффект, после загрузки не работали никакие кнопки выключения ноутбука.
Пристановишь и снова запустишь работу plasma5-kup,
и кнопки начинают работать.
Comment 9 Vladimir Potapov 2016-09-30 18:42:10 MSD
Поставил, plasma5-kdeconnect и cli-интерфейс появился.
Получается, идеологически неправильно сейчас сделано. Должен быть командный интерфейс (cli) и к нему, дополнительно, GUI для плазмы 5, который можно не ставить.
Т.е. надо пересобрать пакет так, чтоб обновлением старого kdeconnect ставился пакет с -cli только и не тянул за собой пятую плазму вообще.
Comment 10 VictorR2007 2016-09-30 19:01:31 MSD
(In reply to comment #9)
> Поставил, plasma5-kdeconnect и cli-интерфейс появился.
> Получается, идеологически неправильно сейчас сделано. Должен быть командный
> интерфейс (cli) и к нему, дополнительно, GUI для плазмы 5, который можно не
> ставить.
> Т.е. надо пересобрать пакет так, чтоб обновлением старого kdeconnect
> ставился пакет с -cli только и не тянул за собой пятую плазму вообще.

KDE4 забросили уже как два года.
Он сильно устарел.
Для него есть только kdeconnect-0.8.
Они очень разные с plasma5-kdeconnect,
который предназначен для плазмы.
И в спеке прописаны как конфликтующие
Conflicts:	kdeconnect
Так что староый kdeconnect не может обновляться до plasma5-kdeconnect.
Обновляются только либы, так как имена одинаковые.
Можно пересобрать plasma5-kdeconnekt с добавлением в имена либ символов «kf».
Тогда либы от kdeconnect-0.8 не должны обновляться.
А ваше предложение «ставился пакет с -cli только и не тянул за собой пятую плазму вообще» мне не сделать.
У меня нет андроида, так что с этим приложением не смогу ничего проверять.
Да и не думаю, что пользователи обрадуются.
Скажут, испортили, или сделали жуткую поделку.
Comment 11 Vladimir Potapov 2016-09-30 19:33:59 MSD
В общем, понял проблему. Сейчас версии для kde4 и плазмы разделены. Это обновление пытается обновить библиотеки для kde4 а запускач остается старый. И перестает работать. Нужно сохранить разделение. Насколько вижу, сейчас с нулем в конце библиотеки - от плазмы, с единичкой - от kde4. Нужно так же сделать.
Comment 12 VictorR2007 2016-09-30 19:46:51 MSD
(In reply to comment #11)
> В общем, понял проблему. Сейчас версии для kde4 и плазмы разделены. Это
> обновление пытается обновить библиотеки для kde4 а запускач остается старый.
> И перестает работать. Нужно сохранить разделение. Насколько вижу, сейчас с
> нулем в конце библиотеки - от плазмы, с единичкой - от kde4. Нужно так же
> сделать.

Даже не совсем так.
С нулем от версии 0.9 в plasma5-kdeconnct 0.9.
А с единичкой в plasma5-kdeconnct 1.0.1. и kdeconnct 0.8.
Пересоберу с переименованными либами.
Comment 13 VictorR2007 2016-09-30 20:33:14 MSD
Пересобрал с новыми именами файлов.
Теперь не должно обновлять версию 0.8.
Новые контейнера:
https://abf.rosalinux.ru/build_lists/2723091
https://abf.rosalinux.ru/build_lists/2723092
Comment 14 VictorR2007 2016-10-01 02:58:23 MSD
Вообще-то можно сделать, чтобы kdeconnect 0.8 не обновлялся
либами от plasma5-kdeconnect 1.0.1.
Но тогда будет сложнее установить при необходимости сверху него
пакет plasma5-kdeconnect 1.0.1.
Нужно будет сначала вручную удалить либы от kdeconnect 0.8.
Например командой «urpme -a kdeconnect».
А если нужно установить kdeconnect 0.8 вместо plasma5-kdeconnect 1.0.1,
то тоже нужно сначала дать команду «urpme -a kdeconnect».
Но зато они не обновляют друг друга.
При запуске «urpmi --auto-update», при любой из установленной версии,
выдаёт «Пакеты находятся в актуальном состоянии».
Локально я их уже оба собрал.
Если такой вариант подойдёт, то сделаю контейнера на ABF.
Comment 15 Vladimir Potapov 2016-10-01 06:04:13 MSD
Да, такой вариант подойдет
Comment 16 VictorR2007 2016-10-01 11:07:33 MSD
(In reply to comment #15)
> Да, такой вариант подойдет

Собрал.
Пакеты kdeconnect 0.8 находятся в contrib, и поэтому сразу ушли в обновления.
А контейнера plasma5-kdeconnect 1.0.1 здесь:
https://abf.rosalinux.ru/build_lists/2723169
https://abf.rosalinux.ru/build_lists/2723170
Comment 17 Vladimir Potapov 2016-10-15 17:23:24 MSD
The update is sent to expanded testing
**************************************
Comment 18 Vladimir Potapov 2016-10-25 12:07:57 MSD
plasma5-kdeconnect-1.0.1-1
https://abf.rosalinux.ru/build_lists/2723169
https://abf.rosalinux.ru/build_lists/2723170
******************************* Advisory ************************
Updated to 1.0.1
*****************************************************************
QA Verified